import { useEffect } from 'react';
import { AppState } from 'react-native';
import { useNavigation } from '@react-navigation/native';
/**
 * App 从后台变为前台时执行
 */
export default (effect) => {
    const navigation = useNavigation();
    const onChange = (state) => {
        if (state === 'active') {
            effect();
        }
    };
    useEffect(() => {
        const unsubscribe = navigation.addListener('focus', () => {
            AppState.addEventListener('change', onChange);
        });
        return unsubscribe;
    }, [navigation]);
    useEffect(() => {
        const unsubscribe = navigation.addListener('blur', () => {
            AppState.removeEventListener('change', onChange);
        });
        return unsubscribe;
    }, [navigation]);
};
